package com.liquidnet.service.adam.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.liquidnet.service.adam.dto.AdamAddressesParam;
import com.liquidnet.service.adam.dto.vo.AdamAddressesVo;
import com.liquidnet.service.adam.entity.AdamAddresses;

/**
 * <p>
 * 收货地址 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-05-11
 */
public interface IAdamAddressesService {

    String add(AdamAddressesParam parameter);

    void def(String uid, String addressesId);

    void edit(AdamAddressesParam parameter);

    void remove(String uid, String addressesId);

    AdamAddressesVo queryDefault(String uid);
}
